// bsp6a.cpp : Beispiel für allgemeine Schleifen
// Debugging  Enviromnent:  gesetzt : OMP_NUM_THREADS=4

#include "stdafx.h"

#include <omp.h>

using namespace System;



// OMP_NUM_THREADS=4
// Debugging, Enviromemt

int _tmain(int argc, _TCHAR* argv[])
{
	int id, numThreads;

	// hier werden je nach Definition der Env-Var die Threads erzeugt und gestartet
	#pragma omp parallel private (id, numThreads)  
	{
		numThreads = omp_get_num_threads();
		id=omp_get_thread_num();
		Console::WriteLine("Thread id:%d\n", id);
	}		

	char ch[200];
	gets(ch);
	
	return 0;
}

